<?php echo $content_header . $content_column_left; ?>
<div id="content">
	<style>
		#axepta-sandbox-enabled {
			margin-top:-23px;
			text-align:center;
			color:red;
			font-size:1.6em;
		}
		#axepta-error-text {
			color:red;
			font-weight:bold;
		}
		#axepta-success-text {
			color:green;
			font-weight:bold;
		}
		.axepta-logo {
			width:150px
		}
	</style>

	<div class="page-header">
		<div class="container-fluid">
			<div class="pull-right">
				<button type="submit" form="form-axepta" data-toggle="tooltip" title="<?php echo $button_save; ?>"
				        class="btn btn-primary"><i class="fa fa-save"></i></button>
				<a href="<?php echo $cancel_url; ?>" data-toggle="tooltip" title="<?php echo $button_cancel; ?>"
				   class="btn btn-default"><i class="fa fa-reply"></i></a></div>
			<h1><img class="axepta-logo" src="view/image/axepta.png" alt=""/></h1>
			<ul class="breadcrumb">
				<?php foreach ($breadcrumbs as $breadcrumb) { ?>
				<li>
					<a href="<?php echo $breadcrumb['href']; ?>"><?php echo $breadcrumb['text']; ?></a>
				</li>
				<?php } ?>
			</ul>
		</div>
	</div>

	<div class="container-fluid">
		<div class="panel panel-default">
			<div class="panel-heading">
				<h3 class="panel-title"><i class="fa fa-pencil"></i><?php echo $text_edit; ?></h3>

			</div>
			<div class="panel-body">

				<?php if(isset($text_error_validation['error_additional_properties'])) { ?>
				<div class="alert alert-danger"><i
						class="fa fa-times"></i>  <?= $text_error_validation['error_additional_properties']; ?>
					<button type="button" class="close" data-dismiss="alert">×</button>
				</div>
				<?php } ?>

				<?php if(isset($text_error_validation['error_warning_permissions'])) { ?>
				<div class="alert alert-danger"><i
						class="fa fa-times"></i>  <?= $text_error_validation['error_warning_permissions']; ?>
					<button type="button" class="close" data-dismiss="alert">×</button>
				</div>
				<?php } ?>

				<form action="<?php echo $confirm_url; ?>" method="post" enctype="multipart/form-data"
				      id="form-axepta"
				      class="form-horizontal">

					<?php if ($axepta_sandbox == 1) { ?>
					<div class="form-group">
						<div class="col-sm-10" id="axepta-sandbox-enabled">
							<br/>
							<strong><?php echo $axepta_sandbox_enabled_hint; ?></strong>
						</div>
					</div>
					<?php } ?>

					<div class="form-group required">
						<label class="col-sm-2 control-label" for="input-status"><?php echo $axepta_status_label; ?></label>
						<div class="col-sm-10">
							<select name="axepta_status" id="input-status" class="form-control">
								<option value="1"
								<?php if ($axepta_status == 1) echo 'selected="selected"'; ?>
								><?php echo $text_enabled; ?></option>
								<option value="0"
								<?php if ($axepta_status == 0) echo 'selected="selected"'; ?>
								><?php echo $text_disabled; ?></option>
							</select>

							<?php if (isset($text_error_validation['error_axepta_status'])) { ?>
							<div class="text-danger"><?php echo $text_error_validation['error_axepta_status']; ?></div>
							<?php } ?>

						</div>
					</div>

					<div class="form-group required">
						<label class="col-sm-2 control-label" for="input-sandbox"><?php echo $axepta_sandbox_label; ?></label>
						<div class="col-sm-10">
							<select name="axepta_sandbox" id="input-sandbox" class="form-control">
								<option value="1"
								<?php if ($axepta_sandbox == 1) echo 'selected="selected"'; ?>
								><?php echo $text_enabled; ?></option>
								<option value="0"
								<?php if ($axepta_sandbox == 0) echo 'selected="selected"'; ?>
								><?php echo $text_disabled; ?></option>
							</select>
							<?php if (isset($text_error_validation['error_axepta_sandbox'])) { ?>
							<div class="text-danger"><?php echo $text_error_validation['error_axepta_sandbox']; ?></div>
							<?php } ?>
						</div>
					</div>

					<div class="form-group required">
						<label class="col-sm-2 control-label"
						       for="input-axepta_merchant_id"> <?php echo $axepta_merchant_id_label; ?></label>
						<div class="col-sm-10">
							<input type="text" name="axepta_merchant_id" value="<?php echo $axepta_merchant_id; ?>"
							       id="input-merchant_id" class="form-control"/>
							<?php if (isset($text_error_validation['error_axepta_merchant_id'])) { ?>
							<div class="text-danger"><?php echo $text_error_validation['error_axepta_merchant_id']; ?></div>
							<?php } ?>
						</div>
					</div>

					<div class="form-group required">
						<label class="col-sm-2 control-label"
						       for="input-axepta_service_id"> <?php echo $axepta_service_id_label; ?></label>
						<div class="col-sm-10">
							<input type="text" name="axepta_service_id" value="<?php echo $axepta_service_id; ?>"
							       id="input-service_id" class="form-control"/>
							<?php if (isset($text_error_validation['error_axepta_service_id'])) { ?>
							<div class="text-danger"><?php echo $text_error_validation['error_axepta_service_id']; ?></div>
							<?php } ?>
						</div>
					</div>

					<div class="form-group required">
						<label class="col-sm-2 control-label"
						       for="input-service_key"> <?php echo $axepta_service_key_label; ?></label>
						<div class="col-sm-10">
							<input type="text" name="axepta_service_key" value="<?php echo $axepta_service_key; ?>"
							       id="input-service_key" class="form-control"/>

							<?php if (isset($text_error_validation['error_axepta_service_key'])) { ?>
							<div class="text-danger"><?php echo $text_error_validation['error_axepta_service_key']; ?>
							</div>
							<?php } ?>
						</div>
					</div>

					<div class="form-group">
						<label class="col-sm-2 control-label"
						       for="input-credit_type"> <?php echo $axepta_credit_type_label; ?></label>
						<div class="col-sm-10">
							<input type="text" name="axepta_credit_type" value="<?php echo $axepta_credit_type; ?>"
							       id="input-credit_type" class="form-control"/>

							<?php if (isset($text_error_validation['error_axepta_credit_type'])) { ?>
							<div class="text-danger"><?php echo $text_error_validation['error_axepta_credit_type']; ?>
							</div>
							<?php } ?>
						</div>
					</div>

					<div class="form-group required">
						<label class="col-sm-2 control-label"
						       for="input-sort_order"> <?php echo $axepta_payment_title_label; ?></label>
						<div class="col-sm-10">
							<input type="text" name="axepta_payment_title" value="<?php echo $axepta_payment_title; ?>"
							       placeholder="<?php echo $axepta_payment_title_default ?>" id="input-sort_order" class="form-control"/>

							<?php if (isset($text_error_validation['error_axepta_payment_title'])) { ?>
							<div class="text-danger"><?php echo $text_error_validation['error_axepta_payment_title']; ?></div>
							<?php } ?>
						</div>
					</div>

					<div class="form-group required">
						<label class="col-sm-2 control-label"
						       for="input-axepta_currencies"><?php echo $axepta_currency_label; ?></span></label>
						<div class="col-sm-10">
							<select class="axepta_currencies" name="axepta_currencies[]" multiple="multiple">
								<?php foreach ($axepta_all_currencies as $currency) { ?>
								<option value="<?php echo $currency; ?>"
								<?php if(in_array($currency,$axepta_currencies)){echo 'selected';} ?>><?php echo $currency; ?></option>
								<?php } ?>
							</select>
						</div>
					</div>

					<div class="form-group required">
						<label class="col-sm-2 control-label"
						       for="input-sort_order"> <?php echo $axepta_sort_order_label; ?></label>
						<div class="col-sm-10">
							<input type="text" name="axepta_sort_order" value="<?php echo $axepta_sort_order; ?>"
							       id="input-sort_order" class="form-control"/>

							<?php if (isset($text_error_validation['error_axepta_sort_order'])) { ?>
							<div class="text-danger"><?php echo $text_error_validation['error_axepta_sort_order']; ?></div>
							<?php } ?>
						</div>
					</div>

					<div class="form-group">
						<div class="col-sm-10">
							<br/>
							<strong><?php echo $text_footer_notification . ": " . $text_notification_url; ?></strong>
						</div>
					</div>
				</form>
			</div>
		</div>
	</div>
	<script type="text/javascript">

		$(document).ready(function () {
			$('.axepta_currencies').select2({
				width: '100%'
			});
		});
	</script>
</div>
<?php echo $content_footer; ?>
